Page MenuHomePhabricator

VisualEditor: Firefox 10 and under have issues and should be blacklisted
Closed, ResolvedPublic

Description

A firefox 5.0 user is reporting that blacklisting simply isn't working - they're seeing the VE, broken. Their response to "are you spoofing user headers" was along the lines of "what the heck is that?" which answers that question.


Version: unspecified
Severity: normal

Details

Reference
bz50534

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:58 AM
bzimport set Reference to bz50534.

We don't blacklist Firefox 5. We currently blacklist:

  • MSIE <= 10
  • Android <= 3
  • Blackberry
  • Opera

We whitelist:

  • Firefox >= 11
  • Iceweasel >= 10
  • Safari >= 5
  • Chrome >= 19

All other browsers are let through, with a warning.

Does this mean we should blacklist Firefox 5.0?

Wait, so non-whitelisted browsers are let through? Is this documented anywhere?

I'd suggest anything not whitelisted be blacklisted, frankly. We've got firefoxes 5, 9 and 10 producing substantial problems.

Tried FF 5, 9, and 10, VE "Edit" links are available in all of them along with "Edit source" links. In each case VE only displays the loading bars and does not present any usable interface.

(In reply to comment #3)

Tried FF 5, 9, and 10, VE "Edit" links are available in all of them along
with
"Edit source" links. In each case VE only displays the loading bars and does
not present any usable interface.

We've had a user swear blind that everything works fine in FF 10. Clearly they misled us. :-(

Change 71554 had a related patch set uploaded by Jforrester:
Blacklist Firefox <= 10 per reports that it's broken

https://gerrit.wikimedia.org/r/71554

I re-checked FF10 on Windows 7: whether editing a whole page or a section of a page FF10 presents the loading... bars but never presents the editor

(In reply to comment #6)

I re-checked FF10 on Windows 7: whether editing a whole page or a section
of a page FF10 presents the loading... bars but never presents the editor

OK, we'll blacklist Firefox 10 and under per the above patch; will see if we can do a quick deploy today to avoid user confusion.

Change 71554 merged by jenkins-bot:
Blacklist Firefox <= 10 per reports that it's broken

https://gerrit.wikimedia.org/r/71554

This is now deployed.